﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="DateTimePicker_f121102._Default" %>

<%@ Register Assembly="Syncfusion.EJ.Web" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

<%@ Register Assembly="Syncfusion.EJ" Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>
<%--<%@ Register Assembly="Syncfusion.EJ.Web, Version=13.3450.0.7, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>--%>

<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">

    <div class="jumbotron">
        <h1>ASP.NET</h1>
        <p class="lead">ASP.NET is a free web framework for building great Web sites and Web applications using HTML, CSS, and JavaScript.</p>
        <p><a href="http://www.asp.net" class="btn btn-primary btn-lg">Learn more &raquo;</a></p>
    </div>
    <ej:splitter runat="server" ID="SPMain" enableautoresize="false" height="100%" Orientation="Vertical" width="100%" EmptyDataText="">
        <ej:SplitPane >
            <PaneContent>
            <ej:splitter runat="server" enableautoresize="false" height="600px" width="800px">
                    <ej:SplitPane  panesize="500" >
                        <PaneContent>
                            <div>
                                <div>
                                   <%-- <asp:ImageButton runat="server" CssClass="BotonHerramientas" Width="35" Height="35" ID="BtnNuevaCarpeta" ImageUrl="~/images/carpeta.png" UseSubmitBehavior="false"   />
                                    <asp:ImageButton runat="server" CssClass="BotonHerramientas" Width="35" Height="35" ID="BtnEliminarCarpeta" ImageUrl="~/images/delete.png" UseSubmitBehavior="false"   />--%>
                                </div>
                                <div>
        <ej:TreeGrid runat="server" ID="TreeGridControlDefault" ChildMapping="SubTasks" TreeColumnIndex="1" EnableResize="true">
            <Columns>
                <ej:TreeGridColumn HeaderText="Task Id" Field="TaskID" Width="45" />
                <ej:TreeGridColumn HeaderText="Task Name" Field="TaskName" />
                <ej:TreeGridColumn HeaderText="Start Date" Field="StartDate" />
                <ej:TreeGridColumn HeaderText="End Date" Field="EndDate" />
                <ej:TreeGridColumn HeaderText="Duration" Field="Duration" />
                <ej:TreeGridColumn HeaderText="Progress" Field="Progress" />
            </Columns>
            <SizeSettings Width="100%" Height="450px" />
        </ej:TreeGrid>
    </div>
                            </div>
                            </PaneContent>
                </ej:SplitPane>
                <ej:SplitPane  >
                    <PaneContent>
                                <div>
                                    <div>
                                           <%-- <asp:ImageButton runat="server" CssClass="BotonHerramientas" Width="35" Height="35" ID="BtnNuevaCuenta" OnClientClick="return false;" UseSubmitBehavior="false"   />
                                            <asp:ImageButton runat="server" CssClass="BotonHerramientas" Width="35" Height="35" ID="BTnEliminar" ImageUrl="~/images/delete.png" OnClientClick="return false;" UseSubmitBehavior="false"   />
                                            <asp:ImageButton runat="server" CssClass="BotonHerramientas" Width="35" Height="35" ID="BtnTrazabilidad" ImageUrl="~/images/Trazabilidad.png" OnClientClick="return false;" UseSubmitBehavior="false"   />
                                            <asp:ImageButton runat="server" CssClass="BotonHerramientas" Width="35" Height="35" ID="BtnEliminarImpactos" ImageUrl="~/images/Eliminar_Impactos.png" OnClientClick="alert('Todavía no disponible');return false;" UseSubmitBehavior="false"   />
                                            <asp:ImageButton runat="server" CssClass="BotonHerramientas" Width="35" Height="35" ID="BtnOrdenarAutomaticamente" ImageUrl="~/images/Ordenar_Automatico.png" OnClientClick="alert('Todavía no disponible');return false;" UseSubmitBehavior="false"   />--%>
                                    </div>
                                    <div>
                                        <ej:Grid ID="Grid2" runat="server" AllowSorting="True" AllowPaging="True">
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" Width="75" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="80" />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="75" />
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="75" Format="{0:C}" />
                <ej:Column Field="OrderDate" HeaderText="Order Date" TextAlign="Right" Width="80" Format="{0:MM/dd/yyyy}" />
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="110" />
            </Columns>
        </ej:Grid>
                                    </div>
                                </div>
                        </PaneContent>
                    </ej:SplitPane>
            </ej:splitter>
                </PaneContent>
        </ej:SplitPane>

        <ej:SplitPane >
            <PaneContent>
        <ej:splitter runat="server" enableautoresize="true" >
            <ej:SplitPane >
                <PaneContent>
                <div>
                    <div runat="server" id="DivImpactos" style="width:100%;background-color: rgb(123, 177, 255);">
                        <asp:Label runat="server" ID="TituloImpactos" BackColor="#FD7BB1FF"></asp:Label>
                    </div>
                    <div>
                        <ej:Grid ID="Grid1" runat="server" AllowSorting="True" AllowPaging="True">
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" Width="75" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="80" />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="75" />
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="75" Format="{0:C}" />
                <ej:Column Field="OrderDate" HeaderText="Order Date" TextAlign="Right" Width="80" Format="{0:MM/dd/yyyy}" />
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="110" />
            </Columns>
        </ej:Grid>
                    </div>
                </div>
                    </PaneContent>
            </ej:SplitPane>
                <ej:SplitPane >
                    <PaneContent>
                    <div>
                        <div runat="server" id="DivDistribuciones" style="width:100%;background-color: rgb(0, 128, 18);">
                            <asp:Label runat="server" ID="TituloDistribuciones" BackColor="#AB008012"></asp:Label>
                        </div>
                  
                        <div>
        <ej:Grid ID="FlatGrid" runat="server" AllowSorting="True" AllowPaging="True">
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" Width="75" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="80" />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="75" />
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="75" Format="{0:C}" />
                <ej:Column Field="OrderDate" HeaderText="Order Date" TextAlign="Right" Width="80" Format="{0:MM/dd/yyyy}" />
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="110" />
            </Columns>
        </ej:Grid>
    </div>
                    </div>
                        </PaneContent>
            </ej:SplitPane>
        </ej:splitter>
                </PaneContent>
    </ej:SplitPane>
</ej:splitter>
   
</asp:Content>
