﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;


namespace DateTimePicker_f121102
{
    public partial class _Default : Page
    {
        List<Orders> order = new List<Orders>();

        protected void Page_Load(object sender, EventArgs e)
        {
            BindDataSource();
            TaskDetailsCollection TaskCollection = new TaskDetailsCollection();
            this.TreeGridControlDefault.DataSource = TaskCollection.GetDataSource();
            this.TreeGridControlDefault.DataBind();

        }

        public class TaskDetails
        {

            public int TaskID { get; set; }

            public string TaskName { get; set; }

            public string StartDate { get; set; }

            public string EndDate { get; set; }

            public int Duration { get; set; }

            public int Progress { get; set; }

            public List<TaskDetails> SubTasks { get; set; }

        }



        public class TaskDetailsCollection
        {

            public List<TaskDetails> GetDataSource()
            {

                List<TaskDetails> tasks = new List<TaskDetails>();





                tasks.Add(new TaskDetails()

                {

                    TaskID = 1,

                    TaskName = "Planning",

                    StartDate = "02/03/2014",

                    EndDate = "02/07/2014",

                    Progress = 56,

                    Duration = 5,

                });



                tasks[0].SubTasks = new List<TaskDetails>();





                tasks[0].SubTasks.Add(new TaskDetails()

                {

                    TaskID = 2,

                    TaskName = "Plan timeline",

                    StartDate = "02/03/2014",

                    EndDate = "02/07/2014",

                    Duration = 5,

                    Progress = 100

                });

                tasks[0].SubTasks.Add(new TaskDetails()

                {

                    TaskID = 3,

                    TaskName = "Plan budget",

                    StartDate = "02/03/2014",

                    EndDate = "02/07/2014",

                    Duration = 5,

                    Progress = 100

                });

                tasks[0].SubTasks.Add(new TaskDetails()

                {

                    TaskID = 4,

                    TaskName = "Allocate resources",

                    StartDate = "02/03/2014",

                    EndDate = "02/07/2014",

                    Duration = 5,

                    Progress = 100

                });

                tasks[0].SubTasks.Add(new TaskDetails()

                {

                    TaskID = 5,

                    TaskName = "Planning complete",

                    StartDate = "02/07/2014",

                    EndDate = "02/07/2014",

                    Duration = 0,

                    Progress = 40

                });



                tasks.Add(new TaskDetails()

                {

                    TaskID = 6,

                    TaskName = "Design",

                    StartDate = "02/10/2014",

                    EndDate = "02/14/2014",

                    Duration = 3,

                    Progress = 86

                });



                tasks[1].SubTasks = new List<TaskDetails>();



                tasks[1].SubTasks.Add(new TaskDetails()

                {

                    TaskID = 7,

                    TaskName = "Software Specification",

                    StartDate = "02/10/2014",

                    EndDate = "02/12/2014",

                    Duration = 3,

                    Progress = 60

                });

                tasks[1].SubTasks.Add(new TaskDetails()

                {

                    TaskID = 8,

                    TaskName = "Develop prototype",

                    StartDate = "02/10/2014",

                    EndDate = "02/12/2014",

                    Duration = 3,

                    Progress = 100

                });

                tasks[1].SubTasks.Add(new TaskDetails()

                {

                    TaskID = 9,

                    TaskName = "Get approval from customer",

                    StartDate = "02/13/2014",

                    EndDate = "02/14/2014",

                    Duration = 2,

                    Progress = 100

                });

                tasks[1].SubTasks.Add(new TaskDetails()

                {

                    TaskID = 10,

                    TaskName = "Design complete",

                    StartDate = "02/14/2014",

                    EndDate = "02/14/2014",

                    Duration = 0,

                    Progress = 65

                });



                return tasks;

            }

        }
        private void BindDataSource()
        {
            int code = 10000;
            for (int i = 1; i < 10; i++)
            {
                order.Add(new Orders(code + 1, "ALFKI", i + 0, 2.3 * i, new DateTime(1991, 05, 15), "Berlin"));
                order.Add(new Orders(code + 2, "ANATR", i + 2, 3.3 * i, new DateTime(1990, 04, 04), "Madrid"));
                order.Add(new Orders(code + 3, "ANTON", i + 1, 4.3 * i, new DateTime(1957, 11, 30), "Cholchester"));
                order.Add(new Orders(code + 4, "BLONP", i + 3, 5.3 * i, new DateTime(1930, 10, 22), "Marseille"));
                order.Add(new Orders(code + 5, "BOLID", i + 4, 6.3 * i, new DateTime(1953, 02, 18), "Tsawassen"));
                code += 5;
            }
            this.FlatGrid.DataSource = order;
            this.FlatGrid.DataBind();
            this.Grid1.DataSource = order;
            this.Grid1.DataBind();
            this.Grid2.DataSource = order;
            this.Grid2.DataBind();
        }

        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(long OrderId, string CustomerId, int EmployeeId, double Freight, DateTime OrderDate, string ShipCity)
            {
                this.OrderID = OrderId;
                this.CustomerID = CustomerId;
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
                this.OrderDate = OrderDate;
                this.ShipCity = ShipCity;
            }
            public long OrderID { get; set; }
            public string CustomerID { get; set; }
            public int EmployeeID { get; set; }
            public double Freight { get; set; }
            public DateTime OrderDate { get; set; }
            public string ShipCity { get; set; }
        }
    }
}
